Attribute VB_Name = "DLLDef"
'====================================================================
' Apci8284.bas - user application interface
'--------------------------------------------------------------------
' Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'====================================================================
Option Explicit
'--------------------------------------------------------------------
' G[R[h
'--------------------------------------------------------------------
Global Const APCI8284_SUCCESS = 0               ' ُȂiIj
Global Const APCI8284_ERR_SYSTEM = 1            ' ɃhCo[hĂȂ\܂
Global Const APCI8284_ERR_NO_DEVICE = 2         ' gp\ȃfoCX܂
Global Const APCI8284_ERR_IN_USE = 3            ' w̃foCX͎gpł
Global Const APCI8284_ERR_INVALID_SLOT = 4      ' Ș_\Pbgł
Global Const APCI8284_ERR_RESOURCE = 5          ' \[XG[
Global Const APCI8284_ERR_INVALID_ARGUMENT = 6  ' p[^s
Global Const APCI8284_ERR_REGION = 10           ' sȗ̈w
Global Const APCI8284_ERR_OFFSET = 11           ' sȃItZbgw
Global Const APCI8284_ERR_SIZE = 12             ' sȃTCYw
Global Const APCI8284_ERR_MEM_ALLOC = 13        ' cl`]pmێs
Global Const APCI8284_ERR_MEM_FREE = 14         ' cl`]ps
Global Const APCI8284_ERR_MEM_ACCESS = 15       ' cl`]p͊mۂĂȂ
'--------------------------------------------------------------------
' ̑̒萔
'--------------------------------------------------------------------
Global Const APCI8284_SLOT_AUTO = &HFFFF
Global Const APCI8284_MAX_SLOTS = 16
'--------------------------------------------------------------------
' \[X\
'--------------------------------------------------------------------
Global Const APCI8284_MAX_MEM = 6
Global Const APCI8284_MAX_IO = 6

Type APCI8284RESOURCE
    dwNumMemRegion As Long                      ' ̈搔
    dwMemBase(1 To APCI8284_MAX_MEM) As Long    ' x[X
    dwMemLength(1 To APCI8284_MAX_MEM) As Long  ' 

    dwNumIoRegion As Long                       ' I/O ̈搔
    dwIoBase(1 To APCI8284_MAX_IO) As Long      ' I/O |[gx[X
    dwIoLength(1 To APCI8284_MAX_IO) As Long    ' I/O |[g

    dwIrq As Long                               ' ԍ
End Type
'--------------------------------------------------------------------
' API
'--------------------------------------------------------------------
Declare Function Apci8284GetVersion Lib "Apci8284" (ByRef pdwDllVersion As Long, ByRef pdwDrvVersion As Long) As Boolean
Declare Function Apci8284Create Lib "Apci8284" (ByRef pwLogSlot As Integer, ByVal hWnd As Long, ByVal uWMBase As Long) As Boolean
Declare Function Apci8284Close Lib "Apci8284" (ByVal wLogSlot As Integer) As Boolean
Declare Function Apci8284GetResource Lib "Apci8284" (ByVal wLogSlot As Integer, ByRef pRes As APCI8284RESOURCE) As Boolean
Declare Function Apci8284GetLastError Lib "Apci8284" (ByVal wLogSlot As Integer) As Long
Declare Function Apci8284IoReadByte Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByRef pbData As Byte) As Boolean
Declare Function Apci8284IoReadWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByRef pwData As Integer) As Boolean
Declare Function Apci8284IoReadDWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByRef pdwData As Long) As Boolean
Declare Function Apci8284IoWriteByte Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByVal bData As Byte) As Boolean
Declare Function Apci8284IoWriteWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByVal wData As Integer) As Boolean
Declare Function Apci8284IoWriteDWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByVal dwData As Long) As Boolean
Declare Function Apci8284MemReadByte Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByRef pbData As Byte) As Boolean
Declare Function Apci8284MemReadWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByRef pwData As Integer) As Boolean
Declare Function Apci8284MemReadDWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByRef pdwData As Long) As Boolean
Declare Function Apci8284MemWriteByte Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByVal bData As Byte) As Boolean
Declare Function Apci8284MemWriteWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByVal wData As Integer) As Boolean
Declare Function Apci8284MemWriteDWord Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal wRegion As Integer, ByVal dwOffset As Long, ByVal dwData As Long) As Boolean
Declare Function Apci8284DmaAlloc Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal dwMemSize As Long, ByRef pdwAddress As Long) As Boolean

Declare Function Apci8284DmaRead Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal dwOffset As Long, ByRef pbBuff As Byte, ByVal dwSize As Long) As Boolean
Declare Function Apci8284DmaWrite Lib "Apci8284" (ByVal wLogSlot As Integer, ByVal dwOffset As Long, ByRef pbBuff As Byte, ByVal dwSize As Long) As Boolean

Declare Function Apci8284DmaFree Lib "Apci8284" (ByVal wLogSlot As Integer) As Boolean

